Bug 15886 - Revise layout and behavior of audio alerts management
Summary: Revise layout and behavior of audio alerts management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/audio_alerts.pl
Whiteboard:
Keywords:
Depends on:
Blocks: 16023
  Show dependency treegraph
 
Reported: 2016-02-23 17:15 UTC by Owen Leonard
Modified: 2017-06-14 22:05 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15886 - Revise layout and behavior of audio alerts management (17.79 KB, patch)
2016-02-23 17:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15886 - Revise layout and behavior of audio alerts management (17.81 KB, patch)
2016-02-23 18:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15886 - Revise layout and behavior of audio alerts management (17.88 KB, patch)
2016-03-10 11:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-02-23 17:15:35 UTC
The audio alerts management page is a sort of all-in-one interface, with the list of alerts showing at the same time as the add and edit forms. The advantage to this is that operations are faster -- less time switching between list, add, and edit. The disadvantage is that the screen is more complicated and (in my opinion) harder to approach initially than other pages which are divided into the same categories of interactions (list, add, edit).

I propose a revision which shows and hides sections of the page so that each task can be given better focus while retaining the speed advantage of the JS-based interactions.
Comment 1 Owen Leonard 2016-02-23 17:39:21 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-02-23 18:06:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-10 11:39:02 UTC
Created attachment 48945 [details] [review]
Bug 15886 - Revise layout and behavior of audio alerts management

This patch changes the behavior of the audio alerts management page so
that sections of the page are shown or hidden based on what the current
task is. Other changes include:

- Moving JavaScript to a separate file
- Adding a toolbar with a "New alert" button.
- Enabling or disabling the "play sound" button based on the value of
  the sound file field.
- Enabling or disabling the "delete" button based on whether there are
  checkboxes checked.
- Switching the patron category administration header search form for
  the "generic" catalog search one.
- Adding "Required" classes to required fields so that the staff
  client's built-in JS validation library can be used.
- Styling the add/edit form in a way which is consistent with other
  interfaces in Koha.
- Removing the invalid "border" attribute from images.
- Adding better alt attributes to images.

To test, the AudioAlerts system preference must be enabled. Apply the
patch and go to Administration -> Audio alerts.

- Confirm that the add/edit form is hidden initially. A toolbar with a
  "New" button should appear with existing audio alerts in a table
  below.
- Confirm that the "New alert" button works:
  - The table should be hidden and an empty "add" form displayed.
  - Confirm that an empty form cannot be submitted.
  - Confirm that typing or selecting a sound enables the "Play sound"
    button and that it works to play the sound.
  - Confirm that adding valid data works.
  - Confirm that clicking the "Cancel" button hides the form and
    redisplays the table.
- Test the "edit" button for an existing sound:
  - Confirm that the edit form is displayed and populated with the
    correct data.
  - Confirm that edits are saved correctly.
- When viewing the table of existing alerts, confirm that checking one
  of the checkboxes "enables" the delete button.
- With one or more checkboxes checked, test that clicking the delete
  button triggers a deletion confirmation. Test both confirm and cancel
  operations.
- With no checkboxes checked, test that clicking the delete button
  triggers an alert that checkboxes must be checked.
- Ponder whether all this is an improvement or not.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-12 23:36:43 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!